/*=========================================================
=            MENU INSTITUTO MUNICIPAL DE LA MUJER         =
=========================================================*/

:root{

    --imm-primary:#6A1B9A;
    --imm-secondary:#EC5A9C;
    --imm-orange:#F57C00;
    --imm-dark:#45225C;
    --imm-light:#FAF8FC;
    --imm-text:#555;
    --shadow:0 10px 35px rgba(0,0,0,.08);
    --transition:.35s ease;

}

/*=========================================================
NAVBAR
=========================================================*/

.navbar{

    background:#fff;

    min-height:90px;

    box-shadow:var(--shadow);

    transition:all .35s ease;

    z-index:9999;

}

.navbar.scrolled{

    min-height:78px;

    box-shadow:0 10px 35px rgba(0,0,0,.12);

}

/*=========================================================
LOGO
=========================================================*/

.logo-imm{

    height:60px;

    width:auto;

    transition:.35s;

}

.navbar.scrolled .logo-imm{

    height:52px;

}

.logo-text{

    display:flex;

    flex-direction:column;

    line-height:1;

}

.logo-text h4{

    margin:0;

    font-size:22px;

    color:#6A1B9A;

    font-weight:500;

}

.logo-text span{

    font-size:28px;

    color:#6A1B9A;

    font-weight:700;

}

.logo-text small{

    margin-top:6px;

    color:#EC5A9C;

    font-size:13px;

}

/*=========================================================
MENU
=========================================================*/

.navbar-nav{

    gap:8px;

    align-items:center;

}

.navbar-nav .nav-link{

    color:#555;

    font-size:15px;

    font-weight:700;

    text-transform:uppercase;

    letter-spacing:.5px;

    padding:30px 14px;

    position:relative;

    transition:all .35s ease;

}

.navbar-nav .nav-link:hover{

    color:#6A1B9A;

}

.navbar-nav .nav-link.active{

    color:#6A1B9A;

}

/* Línea */

.navbar-nav .nav-link::after{

    content:"";

    position:absolute;

    left:14px;

    bottom:18px;

    width:0;

    height:3px;

    border-radius:50px;

    background:#EC5A9C;

    transition:.35s;

}

.navbar-nav .nav-link:hover::after,

.navbar-nav .nav-link.active::after{

    width:55%;

}

/*=========================================================
DROPDOWN
=========================================================*/

.dropdown{

    position:relative;

}

.dropdown-menu{

    border:none;

    border-radius:18px;

    padding:12px;

    min-width:260px;

    margin-top:0;

    box-shadow:0 20px 45px rgba(0,0,0,.12);

   

}

@keyframes dropdown{

    from{

        opacity:0;

        transform:translateY(10px);

    }

    to{

        opacity:1;

        transform:translateY(0);

    }

}

.dropdown-item{

    border-radius:12px;

    padding:12px 18px;

    color:#555;

    font-weight:500;

    transition:.25s;

}

.dropdown-item:hover{

    background:#F8ECFB;

    color:#6A1B9A;

    padding-left:24px;

}

/*=========================================================
BOTON MOVIL
=========================================================*/

.navbar-toggler{

    border:none;

    color:#6A1B9A;

    font-size:30px;

}

.navbar-toggler:focus{

    box-shadow:none;

}

/*=========================================================
RESPONSIVE
=========================================================*/

@media(max-width:991px){

.navbar{

padding:10px 0;

}

.logo-text h4{

font-size:18px;

}

.logo-text span{

font-size:24px;

}

.logo-text small{

font-size:11px;

}

.navbar-collapse{

background:#fff;

margin-top:15px;

padding:20px;

border-radius:20px;

box-shadow:0 15px 40px rgba(0,0,0,.08);

}

.navbar-nav{

align-items:flex-start;

gap:0;

}

.navbar-nav .nav-link{

padding:14px 0;

width:100%;

}

.dropdown-menu{

border:none;

box-shadow:none;

padding-left:15px;

}

}
 
/*=========================================================
ESTILO DE LA PORTADA
=========================================================*/


.portada-imm{
    height: 750px;
    object-fit:cover;
}


.carousel-item::before{

    content:"";
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;

    background:
    linear-gradient(
        rgba(90,30,90,.55),
        rgba(0,0,0,.45)
    );

}


.carousel-caption{
    z-index:2;
}


/*=========================================================
ESTILO DE LA TARJETAS
=========================================================*/
.imm-service-card{

background:white;
padding:35px;
text-align:center;

border-radius:25px;

box-shadow:
0 10px 30px rgba(0,0,0,.08);

transition:.4s;

}


.imm-service-card:hover{

transform:translateY(-12px);

box-shadow:
0 20px 40px rgba(0,0,0,.15);

}


.imm-icon{

width:80px;
height:80px;

margin:auto;
margin-bottom:20px;

display:flex;
align-items:center;
justify-content:center;

border-radius:50%;

background:#7a2e8e;

color:white;

font-size:35px;

}